<section class="offer-dedicated-body  pb-3 pt-3">
    <div class="container">
        <!-- <a [routerLink]="['/deals']" class=" font-firma-semibold mb-4" style="font-size: 14px;">
            < Back to List </a> -->
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a [routerLink]="['/']">Home</a></li>
                <li class="breadcrumb-item" aria-current="page">
                    <a [routerLink]="['/deals']"> Back to list </a></li>
            </ol>
        </nav>
    </div>
    <div class="container" style="margin-top: 16px;">
        <div class="row">
            <div class="col-xl-7 col-sm-12">
                <div class="offer-dedicated-body-left mb-4">
                    <!-- <div class="coupon-deal-detail-main">
                        <div class="coupon-deal-detail-main-block">
                            <img class="img-fluid coupon-deal-detail-main-img" [src]="_DataService._Deal.ImageUrl">
                        </div>
                    </div> -->
                    <ngb-carousel #dealCarousel [interval]="5000"
                        [showNavigationArrows]="(_DataService._Deal.Gallery && _DataService._Deal.Gallery.length > 1) ? true : false"
                        [showNavigationIndicators]="_DataService._Deal.Gallery && _DataService._Deal.Gallery.length > 1 ? true : false">
                        <ng-template ngbSlide *ngFor="let TItemS of _DataService._Deal.Gallery; let index=index;"
                            id="{{'carouselSlide'+index}}">
                            <div class="picsum-img-wrapper">
                                <img class="homesl1" [src]="TItemS" />
                            </div>
                        </ng-template>
                    </ngb-carousel>
                </div>
                <div class="mb-3" *ngIf="_DataService._Deal.Gallery && _DataService._Deal.Gallery.length > 1">
                    <owl-carousel-o [options]="_OwlDeal">
                        <ng-container *ngFor="let TItemS of _DataService._Deal.Gallery; let index = index">
                            <ng-template [height]="117" [width]="145" carouselSlide>
                                <img [src]="TItemS" style="border-radius: 6px; height: 117px !important;"
                                    (click)="ImageSelected(TItemS, index)" class="cursor-pointer">
                            </ng-template>
                        </ng-container>
                    </owl-carousel-o>
                </div>
            </div>
            <div class="col-xl-5 col-sm-12">
                <div class="coupon-deal-detail-main-body">
                    <h5 class="coupon-deal-detail-main-body-p font-weight-light pr-5">
                        {{_DataService._Deal.Title}}</h5>
                </div>
                <div class="mb-3 d-flex justify-content-between">
                    <span class="badge badge-warning">{{_DataService._Deal.CategoryName}}</span>
                    <div class="badge badge-dark text-white" *ngIf="_DataService._Deal.Views"><i
                            class="icofont-eye-alt"></i>
                        Views by {{_DataService._Deal.Views || 0}} Customers</div>
                </div>
                <!-- <div class="text-limit-2 mb-3" [innerHtml]="_DataService._Deal.Description">
                </div> -->
                <p class="mb-5 pb-4   font-weight-light text-gray border-bottom">
                    <!-- <i
                        class="icofont-users-alt-4 text-danger mr-2"></i>
                    307 People Used Today 
                     -->
                    <!-- <i class="icofont-clock-time text-danger "></i> Ends -->

                    <span *ngIf="_DataService.isTimeLessThanDay" class="tx-bold text-secondary float-left">
                        <i class="icofont-clock-time text-danger "></i>
                        <span>
                            <countdown [config]="_DataService._Deal.CountdownConfig">$!h!:$!m!:$!s!
                            </countdown>
                        </span>
                    </span>
                    <!--     <span *ngIf="!_DataService.isTimeLessThanDay" class="text-danger tx-bold text-secondary float-left">
                        <i class="icofont-clock-time text-danger "></i>
                        <span> {{_DataService.timeRemaining}}</span>
                    </span> -->


                    <!-- <countdown [config]="_DataService._Deal.CountdownConfig"></countdown> -->
                </p>
                <div class="mb-4">
                    <span class="text-gray">
                        <span class="text-black font-weight-bold"
                            style="font-size: 36px;color: #32353E; padding-right: 4px;"><span
                                style="font-size: 18px;padding-right: 2px;" [innerHtml]="_HelperService._Account.Country.Symbol || _HelperService.AppConfig.CurrencySymbol"></span>{{_DataService._Deal.SellingPrice}}</span>
                        <s
                            style="color:#7987A1;font-size: 15px;"><span [innerHtml]="_HelperService._Account.Country.Symbol || _HelperService.AppConfig.CurrencySymbol"></span>{{_DataService._Deal.ActualPrice}}</s>
                        <span
                            class="  float-right text-medium discount-per">{{_HelperService.GetPercentage(_DataService._Deal.ActualPrice,_DataService._Deal.SellingPrice)}}
                            %
                            off</span>
                    </span>
                </div>
                <!-- <div class="mb-4">
                    <label>Quantity</label>
                    <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
                        <div class="btn-group mr-2" role="group" aria-label="First group">
                          <button type="button" class="btn btn-outline-secondary py-2 px-3 shadow-none" (click)="decQuantityCount()">-</button>
                          <button type="button" class="btn btn-outline-secondary py-2 px-4 disabled shadow-none" disabled style="opacity: 1; padding: 0.5rem 1rem">{{_DataService._Deal.Quantity}}</button>
                          <button type="button" class="btn btn-outline-secondary py-2 px-3 shadow-none" (click)="incQuantityCount()">+</button>
                        </div>
                    </div>
                </div> -->
                <div class="mb-4"
                    *ngIf="_DataService._Deal.DealTypeCode == _HelperService.AppConfig.DealTypeCode.ServiceDeal">
                    <div>
                        <span class="dd-servicebadge">
                            <i class="icofont-runner-alt-1"></i> Redeem at store
                        </span>
                    </div>
                </div>
                <div class="mb-4"
                    *ngIf="_DataService._Deal.DealTypeCode == _HelperService.AppConfig.DealTypeCode.ProductDeal">
                    <label>Delivery Method</label>
                    <div class="mt-2">
                        <span class="delivery_btn mx-2">
                            <i class="icofont-runner-alt-1"></i> Pickup
                        </span>
                        <span class="delivery_btn mx-2">
                            <i class="icofont-truck-alt"></i> Delivery
                        </span>
                    </div>
                </div>
                <div class="mb-4">
                    <div class="form-row login-to-buy-deal" *ngIf="_DataService._Deal.StatusCode== 'deal.published'">
                        <div class="col-8">
                            <!-- <a *ngIf="!_HelperService.IsActiveUser" class="btn btn-primary btn-block text-white "
                                (click)="OpenLogin()">
                                <i class="icofont-bag"></i> Login to Buy Deal
                            </a> -->
                            <a 
                                [routerLink]="['/buydeal/', _DataService._Deal.ReferenceKey]"
                                class="btn btn-primary btn-block ">
                                <i class="icofont-bag"></i> Buy
                                Now
                            </a>
                        </div>
                        <div class="col-2 wishlist-deal">
                            <button type="button" class="btn btn-outline-secondary text-center"
                                (click)="WishlistDeal()">
                                <span *ngIf="_DataService._Deal.IsBookmarked == false">
                                    <i class="icofont-heart"></i>
                                </span>
                                <span *ngIf="_DataService._Deal.IsBookmarked == true">
                                    <i class="icofont-heart-alt text-danger"></i>
                                </span>
                            </button>
                        </div>
                        <!-- <div class="col-2 wishlist-deal">
                            <button type="button" class="btn btn-outline-secondary text-center" (click)="_DataService._AddToCart(_DataService._Deal)">
                                <i class="icofont-cart"></i>
                            </button>
                        </div> -->
                    </div>
                </div>
                <div class="border-radius bg-white popular-stores-card-offer mb-3">
                    <div class="media align-items-center  p-3  bg-light">
                        <img alt="{{_DataService._Deal.MerchantName}}" [src]="_DataService._Deal.MerchantIconUrl"
                            class="mr-3">
                        <div class="media-body">
                            <div class="custom-card-body">
                                <h6 class="mb-0"><span class="text-black">{{_DataService._Deal.MerchantName}}</span>
                                </h6>
                                <p class="text-gray mb-1"> <i class="icofont-location-pin"></i>
                                    {{_DataService._Deal.Address}}</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="custom-nav bg-white border-top border-bottom shadow-sm">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <span class="restaurant-detailed-action-btn float-right">
                </span>
                <ul class="nav" id="pills-tab" role="tablist">
                    <li class="nav-item">
                        <span class="nav-link " (click)="tabChange('details')"
                            [ngClass]="activeTab === 'details' ? 'nav-link active' : 'nav-link'" id="pills-details-tab"
                            data-toggle="pill" role="tab" aria-controls="pills-details" aria-selected="true">Deal
                            Details</span>
                    </li>
                    <li class="nav-item">
                        <span class="nav-link" id="pills-reviews-tab" data-toggle="pill" (click)="tabChange('review')"
                            [ngClass]="activeTab === 'review' ? 'nav-link active' : 'nav-link'" role="tab"
                            aria-controls="pills-reviews" aria-selected="false">Ratings &amp; Reviews</span>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</section>
<div class="tab-pane fade active show" id="pills-gallery" role="tabpanel" aria-labelledby="pills-details">
    <section class="offer-dedicated-body pt-4 pb-4 bg-light">
        <div class="container">
            <div class="row">
                <div class="col-xl-8 col-sm-12">
                    <div *ngIf="activeTab == 'details'">

                        <div class="offer-dedicated-body-left">
                            <div id="about" class="bg-white shadow-sm border-raduis p-4 mb-4">
                                <h5 class="mb-4">Description</h5>
                                <div [innerHtml]="_DataService._Deal.Description">
                                </div>
                            </div>
                            <!-- <div id="ratings-and-reviews"
                                class="bg-white rounded shadow-sm p-4 mb-4 clearfix restaurant-detailed-star-rating">
                                <span class=" float-right">
                                    <ngx-star-rating [(ngModel)]="_DealRatingNumber" [id]="'dealratingdetails'"
                                        (change)="RatingClick(tucpostreview)">
                                    </ngx-star-rating>
                                </span>
                                <h5 class="mb-0 pt-1">Rate this Deal</h5>
                            </div> -->
                            <div id="address" *ngIf=" _DataService._Deal.Locations.length > 0"
                                class="bg-white shadow-sm border-raduis p-4 mb-4">
                                <h5 class="mb-4">Address</h5>
                                <div class="address-map">
                                    <div class="mapouter">
                                        <div class="gmap_canvas">
                                            <google-map height="300px" width="100%" [zoom]="zoom"
                                                [center]="_DataService.LocationCenter" [options]="options">
                                                <map-marker *ngFor="let marker of _DataService._Deal.Locations"
                                                    [position]="{lat :marker.Latitude ,lng :marker.Longitude }"
                                                    [label]="marker.Name" [title]="marker.Name"
                                                    [options]="marker.Marker.options">
                                                </map-marker>
                                            </google-map>
                                        </div>
                                    </div>
                                </div>
                                <owl-carousel-o [options]="_DataService._OwlOptions">
                                    <ng-container *ngFor="let TItem of _DataService._Deal.Locations">
                                        <ng-template carouselSlide [id]="TItem.Name">
                                            <div class="custom-card shadow-sm h-100 m-3">
                                                <div class="p-3">
                                                    <div class="custom-card-body">
                                                        <h6 class="mb-1 "><a
                                                                class="text-black text-limit-2">{{TItem.Name}}</a>
                                                        </h6>
                                                        <p class="text-gray text-limit-1 mb-0"> {{TItem.Address}}</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </ng-template>
                                    </ng-container>
                                </owl-carousel-o>
                            </div>
                        </div>

                    </div>
                    <div *ngIf="activeTab == 'review'">
                        <!-- <div id="ratings-and-reviews"
                            class="bg-white rounded shadow-sm p-4 mb-4 clearfix restaurant-detailed-star-rating">
                            <span class=" float-right">
                                <ngx-star-rating [(ngModel)]="_DealRatingNumber" [id]="'dealrating'"
                                    (change)="RatingClick(tucpostreview)">
                                </ngx-star-rating>
                            </span>
                            <h5 class="mb-0 pt-1">Rate this Deal</h5>
                        </div> -->
                        <div id="ratings-and-reviews" *ngIf="_DealsReviews.List.length == 0"
                            class="bg-white rounded shadow-sm p-4 mb-4 clearfix restaurant-detailed-star-rating">
                            <h5 class="mb-0 pt-1">No ratings yet. Be the first to review</h5>
                        </div>
                        <div class="bg-white rounded shadow-sm p-4 mb-4 restaurant-detailed-ratings-and-reviews"
                            *ngIf="_DealsReviews.List.length > 0">
                            <!-- <a href="#" class="btn btn-outline-primary btn-sm float-right">Top Rated</a> -->
                            <h5 class="mb-1">All Ratings and Reviews</h5>
                            <div *ngFor="let TItem of _DealsReviews.List">
                                <div class="reviews-members pt-4 pb-4">
                                    <div class="media">
                                        <img alt="Generic placeholder image" [src]="TItem.AccountIconUrl"
                                            class="mr-3 rounded-pill">
                                        <div class="media-body">
                                            <div class="reviews-members-header">
                                                <span class="star-rating float-right" [innerHtml]="TItem.RatingContent">
                                                    <!-- <a href="#"><i class="icofont-ui-rating active"></i></a>
                                                    <a href="#"><i class="icofont-ui-rating active"></i></a>
                                                    <a href="#"><i class="icofont-ui-rating active"></i></a>
                                                    <a href="#"><i class="icofont-ui-rating active"></i></a>
                                                    <a href="#"><i class="icofont-ui-rating"></i></a> -->
                                                </span>
                                                <h6 class="mb-1"><a class="text-black"
                                                        [innerHtml]="TItem.AccountDisplayName"></a></h6>
                                                <p class="text-gray">
                                                    {{ TItem.CreateDate | date: 'dd-MM-yyyy hh:mm a'}}
                                                </p>
                                            </div>
                                            <div class="reviews-members-body" [innerHtml]="TItem.Review">
                                            </div>
                                            <!-- <div class="reviews-members-footer">
                                                <a class="total-like" href="#"><i class="icofont-thumbs-up"></i>
                                                    856M</a> <a class="total-like" href="#"><i
                                                        class="icofont-thumbs-down"></i> 158K</a>
                                                <span class="total-like-user-main ml-2" dir="rtl">
                                                    <a data-toggle="tooltip" data-placement="top" title="" href="#"
                                                        data-original-title="John Osahan Deel"><img
                                                            alt="Generic placeholder image" src="images/user/5.png"
                                                            class="total-like-user rounded-pill"></a>
                                                    <a data-toggle="tooltip" data-placement="top" title="" href="#"
                                                        data-original-title="John Mishn"><img
                                                            alt="Generic placeholder image" src="images/user/2.png"
                                                            class="total-like-user rounded-pill"></a>
                                                    <a data-toggle="tooltip" data-placement="top" title="" href="#"
                                                        data-original-title="Askbootstrap"><img
                                                            alt="Generic placeholder image" src="images/user/3.png"
                                                            class="total-like-user rounded-pill"></a>
                                                    <a data-toggle="tooltip" data-placement="top" title="" href="#"
                                                        data-original-title="Osahan Deel"><img
                                                            alt="Generic placeholder image" src="images/user/4.png"
                                                            class="total-like-user rounded-pill"></a>
                                                </span>
                                            </div> -->
                                        </div>
                                    </div>
                                </div>
                                <hr>
                            </div>
                            <div class="search-results" infinite-scroll [infiniteScrollDistance]="scrollDistance"
                                [infiniteScrollUpDistance]="scrollUpDistance" [infiniteScrollThrottle]="throttle"
                                (scrolled)="_GetDealReviews_onScrollDown()"></div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-4 col-sm-12">
                    <div class="bg-white shadow-sm border-raduis p-4 mb-4">
                        <h6 class="mb-4">Terms and Conditions</h6>
                        <div class="conbox">
                            <div [innerHtml]="_DataService._Deal.Terms"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container" *ngIf="_DataService._Deal.Deals != undefined && _DataService._Deal.Deals.length > 0">
            <h6 class="mb-3 ml-3">More Deals from merchant</h6>
            <owl-carousel-o [options]="_DataService._OwlOptions" (dragging)="on_carouselDrag($event.dragging)">
                <ng-container *ngFor="let TItem of _DataService._Deal.Deals">
                    <ng-template carouselSlide [id]="TItem.ReferenceKey">
                        <a (click)="navigateToRoute(['/deal/', TItem.Slug], TItem)" class="cursor-pointer">
                            <div class="custom-card shadow-sm h-100 m-3">
                                <span class="dealtimer" *ngIf="TItem.CountdownConfig.isTimeLessThanDay">
                                    <i class="icofont-clock-time"></i>&nbsp;<countdown
                                        [config]=" TItem.CountdownConfig"></countdown>
                                </span>
                                <!-- <span class="dealtimer" *ngIf="!TItem.CountdownConfig.isTimeLessThanDay">
                                    <i class="icofont-clock-time"></i>
                                    {{TItem.CountdownConfig.timeRemaining}}
                                </span> -->
                                <div class="custom-card-image">
                                    <img class="img-fluid item-img" src="{{TItem.ImageUrl}}">
                                </div>
                                <div class="p-3 pt-4">
                                    <div class="custom-card-body">
                                        <h6 class="mb-3 "><a class="text-black text-limit-2">{{TItem.Title}}</a>
                                        </h6>
                                    </div>
                                    <div class="custom-card-footer mb-2">
                                        <span
                                            class="  float-right text-medium discount-per">{{_HelperService.GetPercentage(TItem.ActualPrice,TItem.SellingPrice)}}
                                            %
                                            off</span>
                                        <span class="text-black text-medium actualprice">
                                            <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span>
                                            {{TItem.SellingPrice
                                            | number: "1.0-1" || "--"}} </span>
                                        <span class="text-black sellingprice">
                                            <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span>
                                            {{TItem.ActualPrice
                                            | number: "1.0-1" || "--"}} </span>
                                    </div>
                                </div>
                            </div>
                        </a>
                    </ng-template>
                </ng-container>
            </owl-carousel-o>
        </div>
        <div class="container">
            <h6 class="mb-3 ml-3">More Offers</h6>
            <owl-carousel-o [options]="_DataService._OwlOptions" (dragging)="on_carouselDrag($event.dragging)">
                <ng-container *ngFor="let TItem of _DataService._Deals">
                    <ng-template carouselSlide [id]="TItem.ReferenceKey">
                        <a (click)="navigateToRoute(['/deal/', TItem.Slug], TItem)" class="cursor-pointer">
                            <div class="custom-card shadow-sm h-100 m-3">
                                <span class="dealtimer" *ngIf="TItem.CountdownConfig.isTimeLessThanDay">
                                    <i class="icofont-clock-time"></i>&nbsp;<countdown
                                        [config]=" TItem.CountdownConfig"></countdown>
                                </span>
                                <!-- <span class="dealtimer" *ngIf="!TItem.CountdownConfig.isTimeLessThanDay">
                                    <i class="icofont-clock-time"></i>
                                    {{TItem.CountdownConfig.timeRemaining}}
                                </span> -->
                                <div class="custom-card-image">
                                    <img class="img-fluid item-img" src="{{TItem.ImageUrl}}">
                                    <div class="button-g-btn button-g-btn-up">
                                        <img class="img-fluid" src="{{TItem.MerchantIconUrl}}" style="    width: 35px;
                                        display: initial;">
                                        <span>{{ _HelperService.Truncate(TItem.MerchantName )}} </span>
                                    </div>
                                </div>
                                <div class="p-3 pt-4">
                                    <div class="custom-card-body">
                                        <h6 class="mb-3 "><a class="text-black text-limit-2">{{TItem.Title}}</a>
                                        </h6>
                                        <p class="text-gray text-limit-1"> <span class=" cityname"
                                                *ngIf="_DataService.ActiveCity == ''">{{TItem.CityName}}</span>
                                            {{TItem.Address}}</p>
                                    </div>
                                    <div class="custom-card-footer mb-2">
                                        <span
                                            class="  float-right text-medium discount-per">{{_HelperService.GetPercentage(TItem.ActualPrice,TItem.SellingPrice)}}
                                            %
                                            off</span>
                                        <span class="text-black text-medium actualprice">
                                            <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span>
                                            {{TItem.SellingPrice
                                            | number: "1.0-1" || "--"}} </span>
                                        <span class="text-black sellingprice">
                                            <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span>
                                            {{TItem.ActualPrice
                                            | number: "1.0-1" || "--"}} </span>
                                    </div>
                                </div>
                            </div>
                        </a>
                    </ng-template>
                </ng-container>
            </owl-carousel-o>
        </div>
    </section>
</div>



<ng-template #tucpostreview let-modal>
    <div class="modal-body ">
        <div class="p-1 pt-4 pb-4">
            <div class="mb-3 text-center">
                <h5>Rate your Experience</h5>
            </div>
            <div class="cont text-secondary">
                <div class="stars">
                    <ngx-star-rating [(ngModel)]="_DealRatingNumber" [id]="'ratingx'"></ngx-star-rating>
                </div>
            </div>
            <div class="mb-4">
                <h6>Enter your Comment</h6>
                <div class="form-group ">
                    <textarea class="form-control" id="tauthmobile" maxlength="1000" minlength="4" rows="8"
                        [(ngModel)]="_Cdata.Comment"></textarea>
                </div>
            </div>
            <div class="">
                <button type="button" *ngIf="!_HelperService.IsProcessing" (click)="SaveRateing(_DataService._Deal)"
                    class="btn btn-primary btn-block">Submit Review
                </button>
                <button type="button" *ngIf="_HelperService.IsProcessing" class="btn btn-primary btn-block" disabled>
                    Please wait
                </button>
            </div>
        </div>
    </div>
</ng-template>

<ng-template #tucviewrateandreviwe let-modal>
    <div class="modal-body tuc-pp-rateandreview-body ">
        <div class="mb-1">
            <h5>View Reviews</h5>
        </div>
        <!-- *ngFor="let TItem of _DataService._Dealsreview" -->
        <div class="row" *ngFor="let TItem of _DealsReviews.List">
            <div class="col-md-12">
                <div class="p-3 pt-4">
                    <div>
                        <div class="cont1">
                            <div>
                                <p class="text-gray text-limit-1">{{TItem.Rating}}</p>
                            </div>

                        </div>
                        <p class="text-gray text-limit-1">{{TItem.Review}}</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</ng-template>